## glite-lb-common 8.1.3

=== Makefile ===
# Default values
top_srcdir=..
stagedir=.
globalprefix=glite
classads_prefix=/opt/classads
lbprefix=lb
package=glite-lb-common
version=0.0.0
PREFIX=/opt/glite
prefix=

expat_prefix=/opt/expat

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

jobiddir=${top_srcdir}/../org.glite.jobid.api-c

version=${module.version}

VPATH=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test:${top_srcdir}/doc
AT3=${stagedir}${prefix}/sbin/glite-lb-at3

SUFFIXES = .T

CC=gcc

DEBUG:=-g -O0 -Wall

ifdef LB_STANDALONE
	JOBID_OBJS:=cjobid.o strmd5.o
	LB_STANDALONE_FLAGS:=-DLB_STANDALONE
else
	JOBID_LIB:=-lglite_jobid
endif
TRIO_LIB:=-lglite_lbu_trio

PERF_HDRS:=lb_perftest.h
PERF_OBJS:=lb_perftest.o


ifneq (${expat_prefix},/usr)
        expatlib := -L${expat_prefix}/${libdir} -L${expat_prefix}/lib 
endif
ifneq (${classads_prefix},/usr)
        classadslib := -L${classads_prefix}/${libdir} -L${classads_prefix}/lib 
endif

CPPUNIT_LIBS?=-L${cppunit_prefix}/${libdir} -lcppunit
CPPUNIT_CFLAGS?=-I${cppunit_prefix}/include
EXPAT_CFLAGS?=-I${expat_prefix}/include
EXPAT_LIBS?=${expatlib} -lexpat
CLASSADS_CFLAGS?=-I${classads_prefix}/include -I${classads_prefix}/include/classad
CLASSADS_LIBS?=${classadslib} -lclassad

CFLAGS:=${DEBUG} -I${top_srcdir}/src -I${top_srcdir}/interface \
	-I. \
	-I${top_srcdir}/test \
	-I${stagedir}${prefix}/include \
	${EXPAT_CFLAGS} \
	${CLASSADS_CFLAGS} \
	${COVERAGE_FLAGS} \
	-D_GNU_SOURCE \
	-DDATAGRID_EXTENSION ${LB_STANDALONE_FLAGS} \
	-DBUILDING_LB_COMMON ${CFLAGS}

LDFLAGS:=${LDFLAGS} -L${stagedir}${prefix}/${libdir} \
	${COVERAGE_FLAGS}

EXT_LIBS:= ${EXPAT_LIBS} ${JOBID_LIB} ${TRIO_LIB} ${CLASSADS_LIBS}

ifdef LB_PROF
        CFLAGS:= ${CFLAGS} -pg -g
        LDFLAGS:= ${LDFLAGS} -pg
endif

COMPILE:=libtool --mode=compile ${CC}
LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
LINKXX:=libtool --mode=link  ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
INSTALL:=libtool --mode=install install

OBJS:=${JOBID_OBJS} ${PERF_OBJS} lb_plain_io.o events.o mini_http.o query_rec.o \
	status.o xml_conversions.o xml_parse.o ulm_parse.o param.o \
	events_parse.o il_string.o il_int.o notifid.o \
	il_log.o il_msg.o log_msg.o context.o \
	connpool.o events_json.o
LOBJS:=${OBJS:.o=.lo}

THROBJS:=${OBJS:.o=.thr.o}
THRLOBJS:=${OBJS:.o=.thr.lo}

HDRS:=context.h context-int.h lb_plain_io.h mini_http.h authz.h xml_parse.h \
	xml_conversions.h log_proto.h events_parse.h il_string.h il_msg.h \
	ulm_parse.h connpool.h notifid.h notif_rec.h padstruct.h \
	query_rec.h timeouts.h LoggingExceptions.h CountRef.h ${PERF_HDRS} \
	events_json.h
GEN_HDRS:=events.h jobstat.h common_version.h

NOTHRSTATICLIB:=libglite_lb_common_${nothrflavour}.a
THRSTATICLIB:=libglite_lb_common_${thrflavour}.a
STATICLIB:=libglite_lb_common.a
NOTHRLTLIB:=libglite_lb_common_${nothrflavour}.la
THRLTLIB:=libglite_lb_common_${thrflavour}.la
LTLIB:=libglite_lb_common.la

REPORTS:=${top_srcdir}/reports

ifeq (${thrflavour},)
lib_LTLIBRARIES=${LTLIB}
lib_LIBRARIES=${STATICLIB}
default_commonlib=${LTLIB}
else
lib_LTLIBRARIES=${NOTHRLTLIB} ${THRLTLIB}
lib_LIBRARIES=${NOTHRSTATICLIB} ${THRSTATICLIB}
default_commonlib=${NOTHRLTLIB}
endif

ifdef LB_PERF
STAGE_PERFTEST=mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/perftest; \
		${INSTALL} -m 644 ${top_srcdir}/examples/*.log ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/perftest; \
		mkdir -p ${DESTDIR}${PREFIX}${prefix}/sbin; ${INSTALL} -m 755 ${top_srcdir}/src/perftest_common.sh ${DESTDIR}${PREFIX}${prefix}/sbin
else
STAGE_PERFTEST=true
endif

default: all

generate: ${GEN_HDRS}

common_version.h: ${top_srcdi${top_srcdir}/project/version.properties
	echo "#define GLITE_LB_COMMON_VERSION \"${version}\"" >$@

all compile: generate ${lib_LTLIBRARIES} ${lib_LIBRARIES}

# In order to use libtool versioning correcty, we must have:
#
# current = major + minor + offset
# revision = patch
# age = minor
#
# where offset is a sum of maximal released minor's of all previous major's
# 

# counted minors: 1.1, 2.0, 3.1, 4.0, 5.1, 6.1, 7.1
offset=5

version_info:=-version-info ${shell \
	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }

ifeq (${thrflavour},)
${STATICLIB}: ${THROBJS}
	ar crv $@ ${THROBJS}
	ranlib $@

${LTLIB}: ${THROBJS}
	${LINK} ${version_info} -o $@ ${THRLOBJS} \
		-lglite_security_gss \
		${EXT_LIBS} \
		-lm
else
${NOTHRSTATICLIB}: ${OBJS}
	ar crv $@ ${OBJS}
	ranlib $@

${THRSTATICLIB}: ${THROBJS}
	ar crv $@ ${THROBJS}
	ranlib $@

${NOTHRLTLIB}: ${OBJS}
	${LINK} ${version_info} -o $@ ${LOBJS} \
		-lglite_security_gss_${nothrflavour} \
		${EXT_LIBS} \
		-lm

${THRLTLIB}: ${THROBJS}
	${LINK} ${version_info} -o $@ ${THRLOBJS} \
		-lglite_security_gss_${thrflavour} \
		${EXT_LIBS} \
		-lm
endif

stage: compile
	$(MAKE) install PREFIX=${stagedir} DOSTAGE=yes

check: compile mkreports check.parse check.il

mkreports:
	-mkdir -p ${REPORTS}

check.parse: test_parse
	LD_LIBRARY_PATH=${cares_prefix}/${libdir}:${classads_prefix}/${libdir}:${LD_LIBRARY_PATH} ./test_parse ${REPORTS}/parse.xml

test_parse: parse.o test_main.cpp
	${LINKXX} -o test_parse parse.o ${default_commonlib} ${CPPUNIT_LIBS} ${EXT_LIBS}

check.il: il_test
	LD_LIBRARY_PATH=${cares_prefix}/${libdir}:${classads_prefix}/${libdir}:${LD_LIBRARY_PATH} ./il_test ${REPORTS}/il.xml

il_test: il_test.o il_int_test.o il_string_test.o il_msg_test.o
	${LINKXX} -o $@ $+ ${default_commonlib} ${CPPUNIT_LIBS} ${EXT_LIBS}

test_coverage:
	-mkdir coverage
	cd coverage && $(MAKE) -f ../Makefile top_srcdir=../../ COVERAGE_FLAGS="-fprofile-arcs -ftest-coverage" check
	cd coverage && for i in ${OBJS}; do gcov -o .libs/ $$i ; done

cjobid.c strmd5.c:
	if [ ! -d ${jobiddir} ]; then echo "Directory ${jobiddir} not found"; exit 1; fi
	mkdir -p glite/jobid
	rm -f jobid && ln -fs . jobid
	cp -rv ${jobiddir}/interface/cjobid.h glite/jobid/
	cp -rv ${jobiddir}/src/jobid/*.h glite/jobid/
	cp -rv ${jobiddir}/src/jobid/*.[ch] .

doc:

olddoc: generate events.tex status.tex
	cp ${top_srcdir}/doc/*.dox .
	echo "PROJECT_NUMBER = ${version}" >> C.dox
	echo "PROJECT_NUMBER = ${version}" >> CPP.dox
	doxygen C.dox
	doxygen CPP.dox

install: 
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	${INSTALL} -m 755 ${lib_LTLIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}
	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	( cd ${top_srcdir}/project && ${INSTALL} -m 644 ChangeLog package.description package.summary ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version} )
#	cp -r C CPP ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix} ;
	(cd ${top_srcdir}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix}) ;
	${INSTALL} -m 644 ${GEN_HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix} ;
	${INSTALL} -m 644 ${lib_LIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir};
	if [ x${LB_STANDALONE} = xyes ]; then \
		mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/glite/wmsutils/jobid ; \
		${INSTALL} -m 644 glite/wmsutils/jobid/*.h ${DESTDIR}${PREFIX}${prefix}/include/glite/wmsutils/jobid/ ; \
	fi ;
	${STAGE_PERFTEST} ;

clean:
	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/ test_parse il_test parse.cpp events.tex status.tex

distclean:
	rm -rvf Makefile.inc *.spec debian/

%.o: %.c
	${COMPILE} ${CFLAGS} -c $<

il_int_test.o il_string_test.o il_test.o il_msg_test.o parse.o: %.o: %.cpp test_main.cpp
	${CXX} -c ${CFLAGS} ${CPPUNIT_CFLAGS} $<

%.thr.o: %.c
	${COMPILE} ${CFLAGS} -D_REENTRANT -DGLITE_LB_THREADED -o $@ -c $<

%.h: %.h.T
	rm -f $@
	${AT3} $< >$@ || ( rm -f $@; false )
	chmod -w $@ >/dev/null

%.c: %.c.T
	rm -f $@
	${AT3} $< >$@ || ( rm -f $@; false )
	chmod -w $@ >/dev/null

%.cpp: %.cpp.T
	rm -f $@
	${AT3} $< >$@ || ( rm -f $@; false )
	chmod -w $@ >/dev/null

%.tex: %.tex.T
	rm -f $@
	${AT3} $< >$@ || ( rm -f $@; false )
	chmod -w $@ >/dev/null

=== debian/changelog ===
glite-lb-common (8.1.3-2) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 01 May 2012 21:45:08 +0200

=== debian/control ===
Source: glite-lb-common
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, glite-lb-types, libc-ares-dev, libclassad1, libclassad-dev, libexpat1, libexpat1-dev, libcppunit-dev, libglite-jobid-api-cpp-dev, libglite-jobid-api-c-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-trio-dev, libtool
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-lb-common13
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gLite Logging and Bookkeeping common headers and library
 glite-lb-common is a package containing gLite LB common files shared by client
 and daemons. This package contains the LB common library and all necessary
 header
 files.

Package: libglite-lb-common-dev
Section: libdevel
Architecture: any
Provides: glite-lb-common
Depends: libglite-lb-common13 (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev, libglite-lbjp-common-gss-dev
Description: Development files for gLite L&B common library
 This package contains development libraries and header files for gLite L&B
 common library.

Package: glite-lb-common-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libglite-lb-common13 (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B common library debugging symbols
 This package contains debugging symbols for gLite L&B common library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.common
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-common-8.1.3 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-common
	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-common; \
	 rm -fv ChangeLog LICENSE; \
	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=glite-lb-common-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-lb-common 8.1.4

=== Makefile ===
--- 
+++ 
@@ -240,6 +240,7 @@
 
 clean:
 	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/ test_parse il_test parse.cpp events.tex status.tex
+	rm -rvf ${REPORTS}
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/

=== debian/changelog ===
glite-lb-common (8.1.4-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:24:45 +0200

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
 	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-common-8.1.3 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-common
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-common-8.1.4 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-common
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-common; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

## glite-lb-common 8.2.1

=== Makefile ===
--- 
+++ 
@@ -11,12 +11,14 @@
 
 expat_prefix=/opt/expat
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
+version=${module.version}
+
 jobiddir=${top_srcdir}/../org.glite.jobid.api-c
-
-version=${module.version}
 
 VPATH=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test:${top_srcdir}/doc
 AT3=${stagedir}${prefix}/sbin/glite-lb-at3
@@ -24,6 +26,17 @@
 SUFFIXES = .T
 
 CC=gcc
+
+SOURCES=\
+	doc/*.dox doc/*.tex.T \
+	examples/perf_*.log \
+	interface/*.h interface/*.h.T \
+	m4/*.m4 \
+	project/.post* \
+	src/*.c src/*.c.T src/*.sh \
+	test/*.cpp test/*.cpp.T \
+	LICENSE Makefile
+SOURCES_EXEC=src/*.sh
 
 DEBUG:=-g -O0 -Wall
 
@@ -52,6 +65,7 @@
 EXPAT_LIBS?=${expatlib} -lexpat
 CLASSADS_CFLAGS?=-I${classads_prefix}/include -I${classads_prefix}/include/classad
 CLASSADS_LIBS?=${classadslib} -lclassad
+GLITE_LBJP_COMMON_GSS_CFLAGS?=`PKG_CONFIG_PATH=$$PKG_CONFIG_PATH:${PREFIX}${prefix}/${libdir}/pkgconfig pkg-config glite-security-gss --cflags`
 
 CFLAGS:=${DEBUG} -I${top_srcdir}/src -I${top_srcdir}/interface \
 	-I. \
@@ -62,7 +76,7 @@
 	${COVERAGE_FLAGS} \
 	-D_GNU_SOURCE \
 	-DDATAGRID_EXTENSION ${LB_STANDALONE_FLAGS} \
-	-DBUILDING_LB_COMMON ${CFLAGS}
+	-DBUILDING_LB_COMMON ${GLITE_LBJP_COMMON_GSS_CFLAGS} ${CFLAGS}
 
 LDFLAGS:=${LDFLAGS} -L${stagedir}${prefix}/${libdir} \
 	${COVERAGE_FLAGS}
@@ -122,8 +136,6 @@
 else
 STAGE_PERFTEST=true
 endif
-
-default: all
 
 generate: ${GEN_HDRS}
 
@@ -182,7 +194,7 @@
 stage: compile
 	$(MAKE) install PREFIX=${stagedir} DOSTAGE=yes
 
-check: compile mkreports check.parse check.il
+check: compile mkreports check.parse check.il check.query_rec
 
 mkreports:
 	-mkdir -p ${REPORTS}
@@ -198,6 +210,12 @@
 
 il_test: il_test.o il_int_test.o il_string_test.o il_msg_test.o
 	${LINKXX} -o $@ $+ ${default_commonlib} ${CPPUNIT_LIBS} ${EXT_LIBS}
+
+check.query_rec: test_query_rec
+	./test_query_rec
+
+test_query_rec: test_query_rec.o
+	${LINK} $< -o $@ ${JOBID_LIB}
 
 test_coverage:
 	-mkdir coverage
@@ -239,12 +257,16 @@
 	${STAGE_PERFTEST} ;
 
 clean:
-	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/ test_parse il_test parse.cpp events.tex status.tex
+	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/ test_parse il_test parse.cpp events.tex status.tex test_query_rec
 	rm -rvf ${REPORTS}
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
 
+test_query_rec.o: query_rec.c
+	${COMPILE} ${CFLAGS} -DGLITE_LB_QUERY_REC_TEST -c $< -o $@
+
 %.o: %.c
 	${COMPILE} ${CFLAGS} -c $<
 
@@ -273,3 +295,5 @@
 	rm -f $@
 	${AT3} $< >$@ || ( rm -f $@; false )
 	chmod -w $@ >/dev/null
+
+.PHONY: default all generate compile stage check mkreports check.parse check.il testcoverage doc olddoc install clean distclean dist distcheck

=== debian/changelog ===
glite-lb-common (8.2.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), chrpath, glite-lb-types, libc-ares-dev, libclassad1, libclassad-dev, libexpat1, libexpat1-dev, libcppunit-dev, libglite-jobid-api-cpp-dev, libglite-jobid-api-c-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-trio-dev, libtool
+Build-Depends: debhelper (>= 7.0.50~), chrpath, glite-lb-types, libc-ares-dev, libclassad0-dev | libclassad-dev, libexpat1, libexpat1-dev, libcppunit-dev, libglite-jobid-api-cpp-dev, libglite-jobid-api-c-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-trio-dev, libtool, pkg-config
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://glite.cern.ch
@@ -24,7 +24,7 @@
 Section: libdevel
 Architecture: any
 Provides: glite-lb-common
-Depends: libglite-lb-common13 (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev, libglite-lbjp-common-gss-dev
+Depends: glite-lb-types, libglite-lb-common13 (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev, libglite-lbjp-common-gss-dev
 Description: Development files for gLite L&B common library
  This package contains development libraries and header files for gLite L&B
  common library.

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
 	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-common-8.1.4 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-common
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-common-8.2.1 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-common
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-common; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

## glite-lb-common 9.0.5

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 jobiddir=${top_srcdir}/../org.glite.jobid.api-c
 
 VPATH=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test:${top_srcdir}/doc
-AT3=${stagedir}${prefix}/sbin/glite-lb-at3
+AT3=${stagedir}${prefix}/bin/glite-lb-at3
 
 SUFFIXES = .T
 
@@ -34,8 +34,8 @@
 	m4/*.m4 \
 	project/.post* \
 	src/*.c src/*.c.T src/*.sh \
-	test/*.cpp test/*.cpp.T \
-	LICENSE Makefile
+	test/*.c test/*.cpp test/*.cpp.T \
+	Makefile
 SOURCES_EXEC=src/*.sh
 
 DEBUG:=-g -O0 -Wall
@@ -153,8 +153,8 @@
 # where offset is a sum of maximal released minor's of all previous major's
 # 
 
-# counted minors: 1.1, 2.0, 3.1, 4.0, 5.1, 6.1, 7.1
-offset=5
+# counted minors: 1.1, 2.0, 3.1, 4.0, 5.1, 6.1, 7.1, 8.2
+offset=7
 
 version_info:=-version-info ${shell \
 	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }
@@ -222,6 +222,9 @@
 	cd coverage && $(MAKE) -f ../Makefile top_srcdir=../../ COVERAGE_FLAGS="-fprofile-arcs -ftest-coverage" check
 	cd coverage && for i in ${OBJS}; do gcov -o .libs/ $$i ; done
 
+padding: padding.o
+	${LINK} $< -o $@
+
 cjobid.c strmd5.c:
 	if [ ! -d ${jobiddir} ]; then echo "Directory ${jobiddir} not found"; exit 1; fi
 	mkdir -p glite/jobid
@@ -241,10 +244,8 @@
 
 install: 
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
-	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+#	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	${INSTALL} -m 755 ${lib_LTLIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}
-	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
-	( cd ${top_srcdir}/project && ${INSTALL} -m 644 ChangeLog package.description package.summary ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version} )
 #	cp -r C CPP ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix} ;
 	(cd ${top_srcdir}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix}) ;
@@ -257,12 +258,13 @@
 	${STAGE_PERFTEST} ;
 
 clean:
-	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/ test_parse il_test parse.cpp events.tex status.tex test_query_rec
+	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/
+	rm -fv test_parse il_test parse.cpp events.tex status.tex test_query_rec padding
 	rm -rvf ${REPORTS}
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 test_query_rec.o: query_rec.c
 	${COMPILE} ${CFLAGS} -DGLITE_LB_QUERY_REC_TEST -c $< -o $@

=== debian/changelog ===
glite-lb-common (9.0.5-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 25 Jan 2013 17:19:34 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
 Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi
 
-Package: libglite-lb-common13
+Package: libglite-lb-common16
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -24,7 +24,7 @@
 Section: libdevel
 Architecture: any
 Provides: glite-lb-common
-Depends: glite-lb-types, libglite-lb-common13 (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev, libglite-lbjp-common-gss-dev
+Depends: glite-lb-types, libglite-lb-common16 (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev, libglite-lbjp-common-gss-dev
 Description: Development files for gLite L&B common library
  This package contains development libraries and header files for gLite L&B
  common library.
@@ -33,6 +33,6 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: libglite-lb-common13 (= ${binary:Version}), ${misc:Depends}
+Depends: libglite-lb-common16 (= ${binary:Version}), ${misc:Depends}
 Description: gLite L&B common library debugging symbols
  This package contains debugging symbols for gLite L&B common library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

p_dbg=glite-lb-common-dbg
p_lib=libglite-lb-common16
p_dev=libglite-lb-common-dev

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.common
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status *.spec
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -vf debian/tmp/usr/lib/*.la
	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
	rm -rf debian/tmp/usr/share
	mkdir -p debian/$(p_dbg)/usr/share/doc
	mkdir -p debian/$(p_dev)/usr/share/doc
	ln -s $(p_lib) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
	ln -s $(p_lib) debian/$(p_dev)/usr/share/doc/$(p_dev)

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs project/ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=$(p_dbg)
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-lb-common 9.0.7

=== debian/changelog ===
glite-lb-common (9.0.7-1.git20130805) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 05 Aug 2013 14:53:07 +0200

=== debian/control ===
--- 
+++ 
@@ -29,10 +29,10 @@
  This package contains development libraries and header files for gLite L&B
  common library.
 
-Package: glite-lb-common-dbg
+Package: libglite-lb-common16-dbg
 Section: debug
 Architecture: any
 Priority: extra
 Depends: libglite-lb-common16 (= ${binary:Version}), ${misc:Depends}
-Description: gLite L&B common library debugging symbols
+Description: Debugging symbols for gLite L&B common library
  This package contains debugging symbols for gLite L&B common library.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 -include /usr/share/dpkg/buildflags.mk
 
-p_dbg=glite-lb-common-dbg
+p_dbg=libglite-lb-common16-dbg
 p_lib=libglite-lb-common16
 p_dev=libglite-lb-common-dev

## glite-lb-common 9.0.8

=== Makefile ===
--- 
+++ 
@@ -17,10 +17,11 @@
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
+docdir?=${prefix}/share/doc/${package}-${version}
 
 jobiddir=${top_srcdir}/../org.glite.jobid.api-c
 
-VPATH=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test:${top_srcdir}/doc
+VPATH=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test:${top_srcdir}/doc:${top_srcdir}/project
 AT3=${stagedir}${prefix}/bin/glite-lb-at3
 
 SUFFIXES = .T
@@ -32,7 +33,7 @@
 	examples/perf_*.log \
 	interface/*.h interface/*.h.T \
 	m4/*.m4 \
-	project/.post* \
+	project/.post* project/*.pc.in \
 	src/*.c src/*.c.T src/*.sh \
 	test/*.c test/*.cpp test/*.cpp.T \
 	Makefile
@@ -129,6 +130,8 @@
 default_commonlib=${NOTHRLTLIB}
 endif
 
+PKG_CONFIG_FILES=common.pc
+
 ifdef LB_PERF
 STAGE_PERFTEST=mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/perftest; \
 		${INSTALL} -m 644 ${top_srcdir}/examples/*.log ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/perftest; \
@@ -142,7 +145,7 @@
 common_version.h: ${top_srcdi${top_srcdir}/project/version.properties
 	echo "#define GLITE_LB_COMMON_VERSION \"${version}\"" >$@
 
-all compile: generate ${lib_LTLIBRARIES} ${lib_LIBRARIES}
+all compile: generate ${lib_LTLIBRARIES} ${lib_LIBRARIES} ${PKG_CONFIG_FILES}
 
 # In order to use libtool versioning correcty, we must have:
 #
@@ -243,10 +246,10 @@
 	doxygen CPP.dox
 
 install: 
-	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
-#	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/pkgconfig
+#	mkdir -p ${DESTDIR}${PREFIX}${docdir}
 	${INSTALL} -m 755 ${lib_LTLIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}
-#	cp -r C CPP ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+#	cp -r C CPP ${DESTDIR}${PREFIX}${docdir}
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix} ;
 	(cd ${top_srcdir}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix}) ;
 	${INSTALL} -m 644 ${GEN_HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbprefix} ;
@@ -255,10 +258,11 @@
 		mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/glite/wmsutils/jobid ; \
 		${INSTALL} -m 644 glite/wmsutils/jobid/*.h ${DESTDIR}${PREFIX}${prefix}/include/glite/wmsutils/jobid/ ; \
 	fi ;
+	${INSTALL} -m 644 common.pc ${DESTDIR}${PREFIX}${prefix}/${libdir}/pkgconfig/glite-lb-common.pc
 	${STAGE_PERFTEST} ;
 
 clean:
-	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/
+	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/ *.pc
 	rm -fv test_parse il_test parse.cpp events.tex status.tex test_query_rec padding
 	rm -rvf ${REPORTS}
 	rm -rvf dist ${package}-*.tar.gz
@@ -269,13 +273,13 @@
 test_query_rec.o: query_rec.c
 	${COMPILE} ${CFLAGS} -DGLITE_LB_QUERY_REC_TEST -c $< -o $@
 
-%.o: %.c
+%.o: %.c ${GEN_HDRS}
 	${COMPILE} ${CFLAGS} -c $<
 
 il_int_test.o il_string_test.o il_test.o il_msg_test.o parse.o: %.o: %.cpp test_main.cpp
 	${CXX} -c ${CFLAGS} ${CPPUNIT_CFLAGS} $<
 
-%.thr.o: %.c
+%.thr.o: %.c ${GEN_HDRS}
 	${COMPILE} ${CFLAGS} -D_REENTRANT -DGLITE_LB_THREADED -o $@ -c $<
 
 %.h: %.h.T
@@ -298,4 +302,7 @@
 	${AT3} $< >$@ || ( rm -f $@; false )
 	chmod -w $@ >/dev/null
 
+%.pc: %.pc.in
+	sed -e "s,@PREFIX@,${PREFIX}${prefix}," -e "s/@VERSION@/${version}/" -e "s/@LIBDIR@/${libdir}/" $< > $@
+
 .PHONY: default all generate compile stage check mkreports check.parse check.il testcoverage doc olddoc install clean distclean dist distcheck

=== debian/changelog ===
glite-lb-common (9.0.8-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:52 +0100

## glite-lb-common 9.1.1

=== Makefile ===
--- 
+++ 
@@ -90,8 +90,10 @@
 endif
 
 COMPILE:=libtool --mode=compile ${CC}
-LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
-LINKXX:=libtool --mode=link  ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
+COMPILEXX:=libtool --mode=compile ${CXX}
+LINK:=libtool --mode=link ${CC} ${LDFLAGS}
+SOLINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
+LINKXX:=libtool --mode=link  ${CXX} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
 
 OBJS:=${JOBID_OBJS} ${PERF_OBJS} lb_plain_io.o events.o mini_http.o query_rec.o \
@@ -168,7 +170,7 @@
 	ranlib $@
 
 ${LTLIB}: ${THROBJS}
-	${LINK} ${version_info} -o $@ ${THRLOBJS} \
+	${SOLINK} ${version_info} -o $@ ${THRLOBJS} \
 		-lglite_security_gss \
 		${EXT_LIBS} \
 		-lm
@@ -182,13 +184,13 @@
 	ranlib $@
 
 ${NOTHRLTLIB}: ${OBJS}
-	${LINK} ${version_info} -o $@ ${LOBJS} \
+	${SOLINK} ${version_info} -o $@ ${LOBJS} \
 		-lglite_security_gss_${nothrflavour} \
 		${EXT_LIBS} \
 		-lm
 
 ${THRLTLIB}: ${THROBJS}
-	${LINK} ${version_info} -o $@ ${THRLOBJS} \
+	${SOLINK} ${version_info} -o $@ ${THRLOBJS} \
 		-lglite_security_gss_${thrflavour} \
 		${EXT_LIBS} \
 		-lm
@@ -197,7 +199,7 @@
 stage: compile
 	$(MAKE) install PREFIX=${stagedir} DOSTAGE=yes
 
-check: compile mkreports check.parse check.il check.query_rec
+check: compile mkreports check.parse check.il check.query_rec check.context
 
 mkreports:
 	-mkdir -p ${REPORTS}
@@ -219,6 +221,12 @@
 
 test_query_rec: test_query_rec.o
 	${LINK} $< -o $@ ${JOBID_LIB}
+
+test_context: context_test.o test_main.cpp
+	${LINKXX} $< -o $@ ${default_commonlib} ${CPPUNIT_LIBS}
+
+check.context: test_context
+	./test_context ${REPORTS}/context.xml
 
 test_coverage:
 	-mkdir coverage
@@ -263,7 +271,7 @@
 
 clean:
 	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/ *.pc
-	rm -fv test_parse il_test parse.cpp events.tex status.tex test_query_rec padding
+	rm -fv test_parse il_test parse.cpp events.tex status.tex test_query_rec padding test_context
 	rm -rvf ${REPORTS}
 	rm -rvf dist ${package}-*.tar.gz
 
@@ -276,8 +284,8 @@
 %.o: %.c ${GEN_HDRS}
 	${COMPILE} ${CFLAGS} -c $<
 
-il_int_test.o il_string_test.o il_test.o il_msg_test.o parse.o: %.o: %.cpp test_main.cpp
-	${CXX} -c ${CFLAGS} ${CPPUNIT_CFLAGS} $<
+il_int_test.o il_string_test.o il_test.o il_msg_test.o parse.o context_test.o: %.o: %.cpp test_main.cpp
+	${COMPILEXX} -c ${CFLAGS} ${CPPUNIT_CFLAGS} $<
 
 %.thr.o: %.c ${GEN_HDRS}
 	${COMPILE} ${CFLAGS} -D_REENTRANT -DGLITE_LB_THREADED -o $@ -c $<
@@ -305,4 +313,4 @@
 %.pc: %.pc.in
 	sed -e "s,@PREFIX@,${PREFIX}${prefix}," -e "s/@VERSION@/${version}/" -e "s/@LIBDIR@/${libdir}/" $< > $@
 
-.PHONY: default all generate compile stage check mkreports check.parse check.il testcoverage doc olddoc install clean distclean dist distcheck
+.PHONY: default all generate compile stage check mkreports check.parse check.il check.context testcoverage doc olddoc install clean distclean dist distcheck

=== debian/changelog ===
glite-lb-common (9.1.1-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:52 +0200

=== debian/control ===
Source: glite-lb-common
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), glite-lb-types, libc-ares-dev, libclassad0-dev | libclassad-dev, libexpat1, libexpat1-dev, libcppunit-dev, libglite-jobid-api-cpp-dev, libglite-jobid-api-c-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-trio-dev, libtool-bin, pkg-config
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch

Package: libglite-lb-common16
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gLite Logging and Bookkeeping common headers and library
 glite-lb-common is a package containing gLite LB common files shared by client
 and daemons. This package contains the LB common
 library.

Package: libglite-lb-common-dev
Section: libdevel
Architecture: any
Provides: glite-lb-common
Depends: glite-lb-types, libglite-lb-common16 (= ${binary:Version}), ${misc:Depends}, libglite-jobid-api-c-dev, libglite-lbjp-common-gss-dev
Description: Development files for gLite L&B common library
 glite-lb-common is a package containing gLite LB common files shared by client
 and daemons. This package contains the LB common
 library.
 .
 This package contains development libraries and header files for gLite L&B
 common library.

Package: libglite-lb-common16-dbg
Section: debug
Architecture: any
Depends: libglite-lb-common16 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite L&B common library
 glite-lb-common is a package containing gLite LB common files shared by client
 and daemons. This package contains the LB common
 library.
 .
 This package contains debugging symbols for gLite L&B common library.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_dbg=libglite-lb-common16-dbg
p_lib=libglite-lb-common16
p_dev=libglite-lb-common-dev

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --os-type=debian --project=emi

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

override_dh_strip:
	dh_strip --dbg-package=$(p_dbg)

override_dh_auto_install:
	dh_auto_install
	rm -vf debian/tmp/usr/lib/*.la

override_dh_installdocs:
	dh_installdocs --link-doc=$(p_lib)

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lb.common/glite-lb-common-(.*)\.tar\.gz
